#ifndef ATL_dtGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,180,300,360,420,540,600,660,780,840,900,1860,3720
 * N : 25,180,300,360,420,540,600,660,780,840,900,1860,3720
 * NB : 4,12,12,24,48,24,60,60,60,60,72,72,60
 */
#define ATL_dtGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 102) (nb_) = 4; \
   else if ((n_) < 330) (nb_) = 12; \
   else if ((n_) < 390) (nb_) = 24; \
   else if ((n_) < 480) (nb_) = 48; \
   else if ((n_) < 570) (nb_) = 24; \
   else if ((n_) < 870) (nb_) = 60; \
   else if ((n_) < 2790) (nb_) = 72; \
   else (nb_) = 60; \
}


#endif    /* end ifndef ATL_dtGetNB_geqrf */
